---
title: "Add resource tag"
url: https://hexelstudio.com/docs/api/ciam-iam/tags/create
---

# Add resource tag

**POST** `/tags`

## Headers

- `Authorization: string`

  `Bearer <token>`.

## Body parameters

- `created_at: optional string`

- `id: optional string`

- `key: optional string`

- `organization_id: optional string`

- `resource_id: optional string`

- `resource_type: optional string`

  "role", "policy", "group", "service_user"

- `value: optional string`

## Returns

`201` Created (`ResourceTag`)

- `created_at: optional string`

- `id: optional string`

- `key: optional string`

- `organization_id: optional string`

- `resource_id: optional string`

- `resource_type: optional string`

  "role", "policy", "group", "service_user"

- `value: optional string`

## Errors

- `400` Bad Request

## Example

```bash
curl --request POST \
  --url 'https://api.hexelstudio.com/v1/tags' \
  --header "Authorization: Bearer $ACCESS_TOKEN" \
  --header 'Content-Type: application/json' \
  --data '{
  "created_at": "2026-01-01T00:00:00Z",
  "id": "string",
  "key": "string",
  "organization_id": "string",
  "resource_id": "string",
  "resource_type": "string",
  "value": "string"
}'
```

### Response (201)

```json
{
  "created_at": "2026-01-01T00:00:00Z",
  "id": "string",
  "key": "string",
  "organization_id": "string",
  "resource_id": "string",
  "resource_type": "string",
  "value": "string"
}
```

### Response (400)

```json
{
  "key": "string"
}
```
